/* GLOBAL STYLES */

html {
    height: auto;
    width: auto;
    margin: 0 auto;
}

* {
    box-sizing: border-box;
}

body {
    padding-top: 60px;
    background-color: #F2F2F2;
}

@media only screen and (max-width: 979px) {
    body {
        padding-top: 0px;
    }
}

.logo :hover, nav a :hover, .login:hover {
    filter: brightness(500%);
}

header a {
    font-family: 'Roboto', sans-serif;
}

nav a {
    font-size: 20px;
}

.search {
    margin-right: 3%;
}

.login, .user {
    filter: brightness(70%);
    cursor: pointer;
}

.carousel {
    margin-bottom: 4rem;
}

.featurette-divider {
    margin: 5rem 0;
    /* Space out the Bootstrap <hr> more */
}

footer p {
    margin-bottom: 8%;
}

/* Since positioning the image, we need to help out the caption */

.carousel-caption {
    top: 9rem;
    margin: auto;
}

.carousel-caption h1 {
    font-family: 'Arial', sans-serif;
    text-shadow: 0 4px 18px rgba(0, 0, 0, .6);
    font-size: 100px;
}

.carousel-caption p {
    text-shadow: 0 4px 18px rgba(0, 0, 0, .6);
    font-size: 35px;
}

.carousel-item .btn {
    margin-top: 10%;
}

.carousel-item .btn-primary.custom-btn {
    background-color: rgba(100, 100, 100, 0.1);
    border: 3px solid white;
    border-radius: 15px;
}

.carousel-item .btn-primary.custom-btn:hover {
    background-color: #343A40;
    border: 3px solid #343A40;
}

@media only screen and (max-width: 992px) {
    .carousel-caption h1 {
        font-size: 50px;
    }
    .carousel-caption p {
        font-size: 35px;
    }
}

@media only screen and (max-width: 768px) {
    .carousel-caption h1 {
        font-size: 45px;
    }
    .carousel-caption p {
        font-size: 15px;
    }
}

/* Declare heights because of positioning of img element */

.carousel-item {
    height: 44rem;
    background-color: #777;
}

.carousel-item>img {
    position: absolute;
    top: 0;
    left: 0;
    min-width: 100%;
    height: 48rem;
}

@media only screen and (max-width: 992px) {
    .carousel-item {
        height: 34rem;
    }
    .carousel-item>img {
        height: 38rem;
    }
}

@media only screen and (max-width: 768px) {
    .carousel-item {
        height: 30rem;
    }
    .carousel-item>img {
        height: 34rem;
    }
}

@media only screen and (max-width: 576px) {
    .carousel-item {
        height: 24rem;
    }
    .carousel-item>img {
        height: 28rem;
    }
}

.explore-title {
    margin-bottom: 5%;
    color: black;
    font-family: 'Raleway', sans-serif;
    text-shadow: 0 4px 18px rgba(0, 0, 0, .1);
}

.explore-game a {
    text-decoration: none;
    color: black;
    font-family: 'Raleway', sans-serif;
}

.about {
    margin-top: 5%;
}

@media only screen and (max-width: 976px) {
    .about {
        margin-top: 10%;
    }
}

@media only screen and (max-width: 768px) {
    .about {
        margin-top: 20%;
    }
}

@media only screen and (max-width: 416px) {
    .about {
        margin-top: 27%;
    }
}

.card {
    box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);
    transition: all 0.3s cubic-bezier(.25, .8, .25, 1);
    margin-bottom: 10%;
    margin-left: auto;
    margin-right: auto;
}

.card:hover {
    box-shadow: 0 14px 28px rgba(0, 0, 0, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22);
}

.explore .btn-primary.custom-btn {
    background-color: #343A40;
    border: 3px solid #343A40;
    border-radius: 15px;
    text-decoration: none;
}

.explore .btn-primary.custom-btn:hover {
    background-color: white;
    color: #343A40;
}

@media only screen and (max-width: 768px) {
    .anthem {
        margin-bottom: 1%;
    }
}

.submit-border {
    width: 100% !important;
}

.dissapear {
    display: none;
}

.example-base {
    font-family: "Helvetica Neue Light", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
    color: #333;
}

.hide {
    display: none;
}

.l-demo-container {
    width: 500px;
    margin: 40px auto 0px auto;
}

.l-popout {
    margin: 0;
    padding: 0;
    border: 0;
}

.l-popout iframe {
    width: 100%;
    height: 100%;
    min-height: 100%;
    margin: 0;
    padding: 0;
    border: 0;
}

.example-chat {
    font-family: "Helvetica Neue Light", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
    border-radius: 3px;
    -webkit-box-shadow: 0px 8px 20px rgba(0, 0, 0, 0.2);
    box-shadow: 0px 8px 20px rgba(0, 0, 0, 0.2);
    background-color: #dfe3ea;
    border: 1px solid #ccc;
    overflow: auto;
    padding: 0px;
    font-size: 18px;
    line-height: 22px;
    color: #666;
}

.example-chat header {
    background-color: #eee;
    background: -webkit-gradient( linear, left top, left bottom, from(#eeeeee), to(#dddddd));
    background: -webkit-linear-gradient(top, #eeeeee, #dddddd);
    background: linear-gradient(top, #eeeeee, #dddddd);
    -webkit-box-shadow: inset 0px 1px 0px rgba(255, 255, 255, 0.9), 0px 1px 2px rgba(0, 0, 0, 0.1);
    box-shadow: inset 0px 1px 0px rgba(255, 255, 255, 0.9), 0px 1px 2px rgba(0, 0, 0, 0.1);
    border-radius: 3px 3px 0px 0px;
    border-bottom: 1px solid #ccc;
    line-height: 24px;
    font-size: 12px;
    text-align: center;
    color: #999;
}

.example-chat input {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    -webkit-box-shadow: inset 0px 1px 3px rgba(0, 0, 0, 0.2);
    box-shadow: inset 0px 1px 3px rgba(0, 0, 0, 0.2);
    border-radius: 3px;
    padding: 0px 10px;
    height: 30px;
    font-size: 18px;
    width: 100%;
    font-weight: normal;
    outline: none;
}

#colorholder {
    width: 480px;
    height: 30px;
    border: 2px solid #424547;
    margin: 5px auto 0px auto;
}

#drawing-canvas {
    border: 3px solid #999;
}

.colorbox {
    width: 22px;
    height: 22px;
    margin: 1px;
    display: inline-block;
    border: 3px solid black;
}

.example-leaderboard {
    -webkit-box-shadow: 0px 1px 3px rgba(0, 0, 0, 0.3);
    box-shadow: 0px 1px 3px rgba(0, 0, 0, 0.3);
    padding: 20px;
    border-radius: 5px;
    background-color: white;
    overflow: auto;
    color: #666;
}

.example-leaderboard table {
    border-radius: 3px;
    margin-bottom: 20px;
    width: 100%;
    border-collapse: collapse;
}

.example-leaderboard table th {
    background: #eee;
    border-bottom: 1px solid #ccc;
    font-size: 12px;
    color: #999;
    padding: 5px 10px;
    text-align: left;
}

.example-leaderboard table td {
    border-bottom: 1px solid #eee;
    padding: 10px;
    color: #28a562;
}

.example-leaderboard table td em {
    font-style: normal;
    font-weight: bold;
    color: #666;
}

.example-leaderboard table tr:first-child td {
    background: green;
}

.example-leaderboard input {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    -webkit-box-shadow: inset 0px 1px 3px rgba(0, 0, 0, 0.2);
    box-shadow: inset 0px 1px 3px rgba(0, 0, 0, 0.2);
    border-radius: 3px;
    padding: 0px 10px;
    height: 30px;
    font-size: 18px;
    font-weight: normal;
    outline: none;
    border: 1px solid #ccc;
}

.example-leaderboard input.example-leaderboard-name {
    width: 186px;
    margin-right: 10px;
}

.example-leaderboard input.example-leaderboard-score {
    width: 300px;
}

#highestscore {
    margin-top: 20px;
    font-size: 14px;
}

/* Presence */

#presenceDiv {
    text-align: center;
}

/* Tetris */

.tetris-body {
    width: 600px;
}

#canvas0, #canvas1 {
    display: inline-block;
    border: 4px solid #424547;
}

#restartButton {
    margin-top: 5px;
}

#gameInProgress {
    font-size: 14px;
}

.list-group-item h2 {
    margin-bottom: 10px;
}

.la {
    font-size: 100px;
}

#review .hide_p {
    display: none !important;
}